The upgrade of CA Client Automation Agents using DMSWEEP fails with error 1638 "Another version of this product is already installed. Installation of this version cannot continue".

Document ID : KB000026105
Last Modified Date : 14/02/2018
Show Technical Document Details

Issue:

While trying to upgrade the CA Client Automation agent (or other components like the Scalability Server) the upgrade fails with an error 1638 "Another version of this product is already installed.

Installation of this version cannot continue".

This error occurs since DMSWEEP detects the 'DM Primer' service running on the target agents.

 

Environment:   

CA Client Automation - All Versions   

 

Cause:   

The version of the Agents is the same as the version being installed                              

 

Resolution

The solution is to add MSI parameters REINSTALL=ALL and REINSTALLMODE=vomus in the DMSWEEP command line.

These parameters should be added in /pparams list of DMSWEEP command.

Example:

DMSWEEP Deploy /mgr <manager_name> /musername <manager_user> /mpassword <manager_pwd> /ip <target_ipaddress> /tusername <target_username> /tpassword <target_password> /packagenum 8 /pparams "ssname,REINSTALL=ALL REINSTALLMODE=vomus"